Single hosting plan, multiple PHP versions

March 18, 2015

As we touched on in our last blog post: “Introducing our new shared hosting platform“, Rochen now provides multiple versions of PHP. We provide PHP 5.3 through 5.6 with PHP 5.4 being the default.

This is especially useful for developers, allowing multiple sites under a single premium web hosting plan to use different PHP versions. For example, an older site running Joomla 1.5 requiring PHP 5.3 can run alongside a Joomla 3.4 site taking advantage of PHP 5.4.

Once you’ve created a new account in the My Rochen portal adjusting the PHP version throguh cPanel is as easy as clicking “Select PHP Version” –

Screen Shot 2015-03-18 at 11.57.11

Furthermore, customers can easily configure which PHP extensions they would like enabled on a per account basis –

Screen Shot 2015-03-18 at 11.58.46

While running older scripts like Joomla 1.5 is strongly discouraged, we understand some customers are still in the process of upgrading to the latest releases and this feature offers a great temporary solution. Rochen provides added security too by “caging” each account you create as well as filtering all of your traffic through a Web Application Firewall (WAF).

Multiple PHP versions is something that can be configured for Managed Cloud Server (MCS) customers as well. If you’re an MCS customer and would like to learn more then please do get in touch by opening a support ticket via the My Rochen portal.

TOPICS

Web Hosting

TAGS

This article was published on March 18, 2015 by Rochen.

Need help with your order? Email Sales or call 1-888-706-HOST